# -*- coding: utf-8 -*-
from tests import HangulizeTestCase
from hangulize.langs.bul import Bulgarian


class BulgarianTestCase(HangulizeTestCase):

    lang = Bulgarian()

    def test_people(self):
        self.assert_examples({
            u'Димитър Бербатов': u'디미터르 베르바토프',
            u'Петър Берон': u'페터르 베론',
            u'Илия Бешков': u'일리야 베슈코프',
            u'Петър Богдан': u'페터르 보그단',
            u'Христо Ботев': u'흐리스토 보테프',
            u'Златьо Бояджиев': u'즐라툐 보야지에프',
            u'Никола Вапцаров': u'니콜라 밥차로프',
            u'Гаврил Радомир': u'가브릴 라도미르',
            u'Иван Евстратиев Гешов': u'이반 에프스트라티에프 게쇼프',
            u'Мария Гроздева': u'마리야 그로즈데바',
            u'Николай Гяуров': u'니콜라이 갸우로프',
            u'Екатерина Дафовска': u'에카테리나 다포프스카',
            u'Григор Димитров': u'그리고르 디미트로프',
            u'Гена Димитрова': u'게나 디미트로바',
            u'Галина Дурмушлийска': u'갈리나 두르무슐리스카',
            u'Цанко Дюстабанов': u'찬코 듀스타바노프',
            u'Людмила Дяковска': u'류드밀라 댜코프스카',
            u'Тодор Живков': u'토도르 지프코프',
            u'Иван Рилски': u'이반 릴스키',
            u'Ренета Инджова': u'레네타 인조바',
            u'Елена Йончева': u'엘레나 욘체바',
            u'Асен Йорданов': u'아센 요르다노프',
            u'Райна Кабаиванска': u'라이나 카바이반스카',
            u'Матей Казийски': u'마테이 카지스키',
            u'Константин Тих': u'콘스탄틴 티흐',
            u'Алеко Константинов': u'알레코 콘스탄티노프',
            u'Емил Костадинов': u'에밀 코스타디노프',
            u'Стефка Костадинова': u'스테프카 코스타디노바',
            u'Крум': u'크룸',
            u'Юлия Кръстева': u'율리야 크러스테바',
            u'Весела Лечева': u'베셀라 레체바',
            u'Йордан Лечков': u'요르단 레치코프',
            u'Андрей Луканов': u'안드레이 루카노프',
            u'Димитър Механджийски': u'디미터르 메한지스키',
            u'Иван Милев': u'이반 밀레프',
            u'Михаил Шишман': u'미하일 시슈만',
            u'Иван Мърквичка': u'이반 머르크비치카' ,
            u'Георги Наджаков': u'게오르기 나자코프',
            u'Иван Павлов': u'이반 파블로프',
            u'Паисий Хилендарски': u'파이시 힐렌다르스키',
            u'Стилиян Петров': u'스틸리얀 페트로프',
            u'Григор Пърличев': u'그리고르 퍼를리체프',
            u'Анна-Мария Равнополска-Дийн': u'안나마리야 라브노폴스카딘',
            u'Александър Райчев': u'알렉산더르 라이체프',
            u'Симеон Велики': u'시메온 벨리키',
            u'Пенчо Славейков': u'펜초 슬라베이코프',
            u'Стефан Стамболов': u'스테판 스탐볼로프',
            u'Теодосий Синаитски': u'테오도시 시나이츠키',
            u'Цветан Тодоров': u'츠베탄 토도로프',
            u'Христо Стоичков': u'흐리스토 스토이치코프',
            u'Борис Христов': u'보리스 흐리스토프',
            u'Григорий Цамблак': u'그리고리 참블라크',
            u'Драган Цанков': u'드라간 찬코프',
            u'Христо Явашев': u'흐리스토 야바셰프',
        })

    def test_places(self):
        self.assert_examples({
            u'Асеновград': u'아세노브그라드',
            u'Банско': u'반스코',
            u'Бургас': u'부르가스',
            u'Варна': u'바르나',
            u'Девня': u'데브냐',
            u'Добрич': u'도브리치',
            u'Добърско': u'도버르스코',
            u'Дуранкулак': u'두란쿨라크',
            u'Евксиноград': u'에프크시노그라드',
            u'Златоград': u'즐라토그라드',
            u'Искър': u'이스커르',
            u'Исперих': u'이스페리흐',
            u'Казанлък': u'카잔러크',
            u'Кърджали': u'커르잘리',
            u'Кюстендил': u'큐스텐딜',
            u'Мадара': u'마다라',
            u'Малко Търново': u'말코 터르노보',
            u'Мелник': u'멜니크',
            u'Мусала': u'무살라',
            u'Несебър': u'네세버르',
            u'Панагюрище': u'파나규리슈테',
            u'Петрич': u'페트리치',
            u'Пещера': u'페슈테라',
            u'Пирин': u'피린',
            u'Плевен': u'플레벤',
            u'Пловдив': u'플로브디프',
            u'Ралица': u'랄리차',
            u'Рила': u'릴라',
            u'Родопи': u'로도피',
            u'Свещари': u'스베슈타리',
            u'Созопол': u'소조폴',
            u'София': u'소피야',
            u'Сливен': u'슬리벤',
            u'Смолян': u'스몰랸',
            u'Стара Загора': u'스타라 자고라',
            u'Търговище' : u'터르고비슈테',
        })