# -*- coding: utf-8 -*-
from tests import HangulizeTestCase
from hangulize.langs.grc import AncientGreek


class AncientGreekTestCase(HangulizeTestCase):

    lang = AncientGreek()

    def test_examples_of_iceager(self):
        self.assert_examples({
            u'Αἴγυπτος': u'아이깁토스',
            u'Ἀκρόπολις': u'아크로폴리스',
            u'Ἀλεξάνδρεια': u'알렉산드레이아',
            u'Ἁλικαρνασσός': u'할리카르나소스',
            u'Ἀμφίπολις': u'암피폴리스',
            u'Ἀντιόχεια': u'안티오케이아',
            u'Ἄργος': u'아르고스',
            u'Ἀτλάντις': u'아틀란티스',
            u'Ἀττική': u'아티케',
            u'Δαλματία': u'달마티아',
            u'Δαμασκός': u'다마스코스',
            u'Δαρδανέλλια': u'다르다넬리아',
            u'Δεκάπολις': u'데카폴리스',
            u'Δελφοί': u'델포이',
            u'Δῆλος': u'델로스',
            u'Ἐλεφαντίνη': u'엘레판티네',
            u'Ἑλλάς': u'헬라스',
            u'Ἑλλήσποντος': u'헬레스폰토스',
            u'Εὔβοια': u'에우보이아',
            u'Ζάκυνθος': u'자킨토스',
            u'Θῆβαι': u'테바이',
            u'Ἰθάκη': u'이타케',
            u'Ἴλιον': u'일리온',
            u'Ἱσπανία': u'히스파니아',
            u'Ἰωνία': u'이오니아',
            u'Ὄλυμπος': u'올림포스',
            u'Ἑρμιόνη': u'헤르미오네',
            u'Εὐρώπη': u'에우로페',
            u'Ῥοδόπη': u'로도페',
            u'Ῥόδος': u'로도스',
            u'Σαλαμίς': u'살라미스',
            u'Σαμοθρᾴκη': u'사모트라케',
            u'Τῆλος': u'텔로스',
            u'Τιτάν': u'티탄',
            u'Τυῤῥηνία': u'티레니아',
            u'Φρυγία': u'프리기아',
            u'Ὠκεανία': u'오케아니아',
            u'Ὦξος': u'옥소스',
            u'Ὠρίων': u'오리온',
            u'Εὐρυδίκη': u'에우리디케',
            u'Ἀφροδίτη': u'아프로디테',
            u'Ἀπόλλων': u'아폴론',
            u'Ἄρης': u'아레스',
            u'Ἀρτεμίς': u'아르테미스',
            u'Ἀθηνᾶ': u'아테나',
            u'Δημήτηρ': u'데메테르',
            u'Ἥρα': u'헤라',
            u'Ἀχελῷος': u'아켈로오스',
            u'Ἀχέρων': u'아케론',
            u'Ἄδωνις': u'아도니스',
            u'Αἴολος': u'아이올로스',
            u'Ἄτλας': u'아틀라스',
            u'Βορέας': u'보레아스',
            u'Χάος': u'카오스',
            u'Χίμαιρα': u'키마이라',
            u'Χρόνος': u'크로노스',
            u'Δάφνη': u'다프네',
            u'Διόνυσος': u'디오니소스',
            u'Δωρίς': u'도리스',
            u'Ἠώς': u'에오스',
            u'Ἔρις': u'에리스',
            u'Ἔρως': u'에로스',
            u'Γαῖα': u'가이아',
            u'Γανυμήδης': u'가니메데스',
            u'ᾍδης': u'하데스',
            u'Ἥβη': u'헤베',
            u'Ἑκάτη': u'헤카테',
            u'Ἑλένη': u'헬레네',
            u'Ἥλιος': u'헬리오스',
            u'Ἥφαιστος': u'헤파이스토스',
            u'Ἡρακλῆς': u'헤라클레스',
            u'Ἑρμής': u'헤르메스',
            u'Ἑστία': u'헤스티아',
            u'Ὕδρα': u'히드라',
            u'Ὕπνος': u'히프노스',
            u'Ίαπετός': u'이아페토스',
            u'Ἶρις': u'이리스',
            u'Καλλιόπη': u'칼리오페',
            u'Κέρβερος': u'케르베로스',
            u'Κυβέλη': u'키벨레',
            u'Μέδουσα': u'메두사',
            u'Μνήμη': u'므네메',
            u'Μορφεύς': u'모르페우스',
            u'Νέμεσις': u'네메시스',
            u'Νηρεύς': u'네레우스',
            u'Νίκη': u'니케',
            u'Ὠρίων': u'오리온',
            u'Πάν': u'판',
            u'Πανδώρα': u'판도라',
            u'Περσεφόνη': u'페르세포네',
            u'Περσεύς': u'페르세우스',
            u'Φοίβη': u'포이베',
            u'Ποσειδῶν': u'포세이돈',
            u'Προμηθεύς': u'프로메테우스',
            u'Πρωτεύς': u'프로테우스',
            u'Ῥέα': u'레아',
            u'Σεμέλη': u'세멜레',
            u'Σιληνός': u'실레노스',
            u'Σφίγξ': u'스핑크스',
            u'Στύξ': u'스틱스',
            u'Θάνατος': u'타나토스',
            u'Τυφών': u'티폰',
            u'Οὐρανός': u'우라노스',
            u'Ζέφυρος': u'제피로스',
            u'Ζεύς': u'제우스',
            u'Ὀρφεύς': u'오르페우스',
            u'Σαπφώ': u'사포',
            u'Πίνδαρος': u'핀다로스',
            u'Ἱέρων': u'히에론',
            u'Περικλῆς': u'페리클레스',
            u'Ἡρόδοτος': u'헤로도토스',
            u'Πλούταρχος': u'플루타르코스',
            u'Ἀναξαγόρας': u'아낙사고라스',
            u'Ἀρχιμήδης': u'아르키메데스',
            u'Σωκράτης': u'소크라테스',
            u'Πλάτων': u'플라톤',
            u'Ἀριστοτέλης': u'아리스토텔레스',
            u'Ἀλέξανδρος': u'알렉산드로스',
            u'Ἀντιγόνη': u'안티고네',
            u'Οἰδίπους': u'오이디푸스',
            u'Βοιωτία': u'보이오티아',
            u'Θουκυδίδης': u'투키디데스',
            u'Ὅμηρος': u'호메로스',
            u'Ἀριάδνη': u'아리아드네',
            u'Ἰλιάς': u'일리아스',
            u'Ὀδύσσεια': u'오디세이아',
            u'Ἀχιλλεύς': u'아킬레우스',
            u'Ἀγαμέμνων': u'아가멤논',
            u'Μυκήνη': u'미케네',
            u'Θερμοπύλαι': u'테르모필라이',
            u'Λεωνίδας': u'레오니다스',
            u'Ἀναξανδρίδας': u'아낙산드리다스',
            u'Κλεομένης': u'클레오메네스',
            u'Ὀδυσσεύς': u'오디세우스',
            u'Πηνελόπη': u'페넬로페',
            u'Σίσυφος': u'시시포스',
            u'Νεμέα': u'네메아',
            u'Ἰάσων': u'이아손',
            u'Τυνδάρεως': u'틴다레오스',
            u'Αἴας': u'아이아스',
            u'Ἕκτωρ': u'헥토르',
            u'Ἀνδρομάχη': u'안드로마케',
            u'Τροία': u'트로이아',
            u'Ἀντίγονος': u'안티고노스',
            u'Σέλευκος': u'셀레우코스',
            u'Πτολεμαῖος': u'프톨레마이오스',
            u'Πέργαμον': u'페르가몬',
            u'Ἄτταλος': u'아탈로스',
            u'Κροῖσος': u'크로이소스',
            u'Σόλων': u'솔론',
            u'Λυκοῦργος': u'리쿠르고스',
            u'Πολύβιος': u'폴리비오스',
            u'Μίδας': u'미다스',
            u'Κυβέλη': u'키벨레',
            u'Σκύθαι': u'스키타이',
            u'Ἀμαζόνες': u'아마조네스',
            u'Ἀμαζών': u'아마존',
            u'Πενθεσίλεια': u'펜테실레이아',
            u'Ἱππολύτη': u'히폴리테',
            u'Πυθία': u'피티아',
            u'Πύθων': u'피톤',
            u'όμφαλος': u'옴팔로스',
            u'Πυθαγόρας': u'피타고라스',
            u'Ἱπποκράτης': u'히포크라테스',
            u'Πάππος': u'파포스',
            u'Πυθαγόρας': u'피타고라스',
            u'Ζήνων': u'제논',
            u'Ἀναξίμανδρος': u'아낙시만드로스',
            u'Θαλῆς': u'탈레스',
            u'Δημόκριτος': u'데모크리토스',
            u'Ἀπολλώνιος': u'아폴로니오스',
            u'Στράβων': u'스트라본',
            u'Εὐκτήμων': u'에욱테몬',
            u'Ἐρατοσθένης': u'에라토스테네스',
            u'Ἵππαρχος': u'히파르코스',
            u'Ἡσίοδος': u'헤시오도스',
            u'Αἴσωπος': u'아이소포스',
            u'Εὐριπίδης': u'에우리피데스',
            u'Ξενοφῶν': u'크세노폰',
            u'Θεμιστοκλῆς': u'테미스토클레스',
        })