# -*- coding: utf-8 -*-
from tests import HangulizeTestCase
from hangulize.langs.lav import Latvian


class LatvianTestCase(HangulizeTestCase):

    lang = Latvian()

    def test_people(self):
        self.assert_examples({
            u'Alberts': u'알베르츠',
            u'Gunārs Astra': u'구나르스 아스트라',
            u'Helmuts Balderis': u'헬무츠 발데리스',
            u'Jānis Balodis': u'야니스 발로디스',
            u'Krišjānis Barons': u'크리샤니스 바론스',
            u'Mihails Barišņikovs': u'미하일스 바리슈니코우스',
            u'Vizma Belševica': u'비즈마 벨셰비차',
            u'Eduards Berklavs': u'에두아르츠 베르클라우스',
            u'Ernests Blanks': u'에르네스츠 블랑크스',
            u'Rūdolfs Blaumanis': u'루돌프스 블라우마니스',
            u'Aleksandrs Čaks': u'알렉산드르스 착스',
            u'Jānis Čakste': u'야니스 착스테',
            u'Emīls Dārziņš': u'에밀스 다르진슈',
            u'Eliass Eliezers Desslers': u'엘리아스 엘리에제르스 데슬레르스',
            u'Sergejs Eizenšteins': u'세르게이스 에이젠슈테인스',
            u'Movša Feigins': u'모우샤 페이긴스',
            u'Elīna Garanča': u'엘리나 가란차',
            u'Ernests Gulbis': u'에르네스츠 굴비스',
            u'Uvis Helmanis': u'우비스 헬마니스',
            u'Artūrs Irbe': u'아르투르스 이르베',
            u'Kārlis Irbītis': u'카를리스 이르비티스',
            u'Gatis Jahovičs': u'가티스 야호비치',
            u'Kaspars Kambala': u'카스파르스 캄발라',
            u'Aleksandrs Koblencs': u'알렉산드르스 코블렌츠',
            u'Gustavs Klucis': u'구스타우스 클루치스',
            u'Ābrams Izāks Kūks': u'아브람스 이작스 쿡스',
            u'Aleksandrs Kovaļevskis': u'알렉산드르스 코발레우스키스',
            u'Miķelis Krogzems': u'미첼리스 크로그젬스',
            u'Juris Kronbergs': u'유리스 크론베르크스',
            u'Atis Kronvalds': u'아티스 크론발츠',
            u'Alberts Kviesis': u'알베르츠 크비에시스',
            u'Aleksandrs Laime': u'알렉산드르스 라이메',
            u'Nikolajs Loskis': u'니콜라이스 로스키스',
            u'Jevgēnija Ļisicina': u'예우게니야 리시치나',
            u'Zigfrīds Anna Meierovics': u'직프리츠 안나 메이에로비츠',
            u'Evgenijs Millers': u'에우게니스 밀레르스',
            u'Kārlis Mīlenbahs': u'카를리스 밀렌바흐스',
            u'Stanislavs Olijars': u'스타니슬라우스 올리야르스',
            u'Elvīra Ozoliņa': u'엘비라 오졸리냐',
            u'Vilhelms Ostvalds': u'빌헬름스 오스트발츠',
            u'Sandis Ozoliņš': u'산디스 오졸린슈',
            u'Valdemārs Ozoliņš': u'발데마르스 오졸린슈',
            u'Artis Pabriks': u'아르티스 파브릭스',
            u'Karlis Padegs': u'카를리스 파덱스',
            u'Marian Pahars': u'마리안 파하르스',
            u'Vladimirs Petrovs': u'블라디미르스 페트로우스',
            u'Andrejs Pumpurs': u'안드레이스 품푸르스',
            u'Mārtiņš Rubenis': u'마르틴슈 루베니스',
            u'Juris Rubenis': u'유리스 루베니스',
            u'Elza Rozenberga': u'엘자 로젠베르가',
            u'Uļjana Semjonova': u'울랴나 세묘노바',
            u'Māris Štrombergs': u'마리스 슈트롬베르크스',
            u'Pēteris Stučka': u'페테리스 스투치카',
            u'Viktors Ščerbatihs': u'빅토르스 슈체르바티흐스',
            u'Haralds Silovs': u'하랄츠 실로우스',
            u'Andris Šķēle': u'안드리스 슈첼레',
            u'Ernests Štālbergs': u'에르네스츠 슈탈베르크스',
            u'Guntis Ulmanis': u'군티스 울마니스',
            u'Kārlis Ulmanis': u'카를리스 울마니스',
            u'Romāns Vainšteins': u'로만스 바인슈테인스',
            u'Krišjānis Valdemārs': u'크리샤니스 발데마르스',
            u'Miķelis Valters': u'미첼리스 발테르스',
            u'Valdis Valters': u'발디스 발테르스',
            u'Aleksandrs Vanags': u'알렉산드르스 바낙스',
            u'Ojārs Vācietis': u'오야르스 바치에티스',
            u'Eduards Veidenbaums': u'에두아르츠 베이덴바움스',
            u'Makss Veinreihs': u'막스 베인레이흐스',
            u'Visvaldis': u'비스발디스',
            u'Jāzeps Vītols': u'야젭스 비톨스',
            u'Māris Verpakovskis': u'마리스 베르파코우스키스',
            u'Aleksandrs Voitkevičs': u'알렉산드르스 보이트케비치',
            u'Kārlis Zariņš': u'카를리스 자린슈',
            u'Gustavs Zemgals': u'구스타우스 젬갈스',
            u'Valdis Zatlers': u'발디스 자틀레르스',
            u'Imants Ziedonis': u'이만츠 지에도니스',
            u'Sergejs Žoltoks': u'세르게이스 졸톡스',
        })

    def test_places(self):
        self.assert_examples({
            u'Daugava': u'다우가바',
            u'Daugavpils': u'다우가우필스',
            u'Grobiņa': u'그로비냐',
            u'Jēkabpils': u'예캅필스',
            u'Jelgava': u'옐가바',
            u'Jersika': u'예르시카',
            u'Jūrmala': u'유르말라',
            u'Koknese': u'코크네세',
            u'Kurzeme': u'쿠르제메',
            u'Latgale': u'라트갈레',
            u'Latvija': u'라트비야',
            u'Liepāja': u'리에파야',
            u'Rēzekne': u'레제크네',
            u'Rīga': u'리가',
            u'Valmiera': u'발미에라',
            u'Ventspils': u'벤츠필스',
            u'Vidzeme': u'비제메',
            u'Zemgale': u'젬갈레',
        })