# -*- coding: utf-8 -*-
from tests import HangulizeTestCase
from hangulize.langs.mkd import Macedonian


class MacedonianTestCase(HangulizeTestCase):

    lang = Macedonian()

    def test_people(self):
        self.assert_examples({
            # u'Методија Андонов-Ченто': u'메토디야 안도노프첸토',
            # => 메토디야 안도노브첸토
            u'Димитрије Бужаровски': u'디미트리예 부자로프스키',
            u'Владо Бучковски': u'블라도 부치코프스키',
            u'Киро Глигоров': u'키로 글리고로프',
            u'Каролина Гочева': u'카롤리나 고체바',
            u'Никола Груевски': u'니콜라 그루에프스키',
            u'Димитар Димитров': u'디미타르 디미트로프',
            u'Партенија Зографски': u'파르테니야 조그라프스키',
            u'Ѓорге Иванов': u'교르게 이바노프',
            u'Милан Ивановиќ': u'밀란 이바노비치',
            u'Катарина Ивановска': u'카타리나 이바노프스카',
            u'Баже Илијоски': u'바제 일리요스키',
            u'Славко Јаневски': u'슬라프코 야네프스키',
            u'Борјан Јовановски': u'보리안 요바노프스키',
            u'Климент Охридски': u'클리멘트 오흐리츠키',
            u'Срѓан Керим': u'스르잔 케림',
            u'Никола Кљусев': u'니콜라 클류세프',
            u'Лазар Колишевски': u'라자르 콜리셰프스키',
            u'Блаже Конески': u'블라제 코네스키',
            u'Хари Костов': u'하리 코스토프',
            u'Жарко Кујунџиски': u'자르코 쿠윤지스키',
            u'Кирил Лазаров': u'키릴 라자로프',
            u'Венко Марковски': u'벤코 마르코프스키',
            u'Димитар Миладинов': u'디미타르 밀라디노프',
            u'Константин Миладинов': u'콘스탄틴 밀라디노프',
            u'Крсте Мисирков': u'크르스테 미시르코프',
            u'Петар Наумоски': u'페타르 나우모스키',
            u'Коле Неделковски': u'콜레 네델코프스키',
            u'Саша Огненовски': u'사샤 오그네노프스키',
            u'Горан Пандев': u'고란 판데프',
            u'Живко Поповски-Цветин': u'지프코 포포프스키츠베틴',
            u'Јулија Портјанко': u'율리야 포르티안코',
            u'Тоше Проески': u'토셰 프로에스키',
            u'Ѓорѓи Пулевски': u'교르기 풀레프스키',
            u'Кочо Рацин': u'코초 라친',
            u'Есма Реџепова': u'에스마 레제포바',
            u'Стевица Ристиќ': u'스테비차 리스티치',
            u'Душан Савиќ': u'두샨 사비치',
            u'Тодор Скаловски': u'토도르 스칼로프스키',
            u'Врбица Стефанов': u'브르비차 스테파노프',
            u'Горан Стефановски': u'고란 스테파노프스키',
            u'Борис Трајковски': u'보리스 트라이코프스키',
            u'Ѓорѓи Христов': u'교르기 흐리스토프',
            u'Бранко Црвенковски': u'브란코 츠르벤코프스키',
            u'Љубомир Цуцуловски': u'류보미르 추출로프스키',
            u'Коле Чашуле': u'콜레 차슐레',
            u'Живко Чинго': u'지프코 친고',
            u'Александар Џамбазов': u'알렉산다르 잠바조프',
        })

    def test_places(self):
        self.assert_examples({
            u'Битола': u'비톨라',
            u'Велес': u'벨레스',
            u'Гевгелија': u'게브겔리야',
            u'Гостивар': u'고스티바르',
            u'Кавадарци': u'카바다르치',
            u'Кичево': u'키체보',
            u'Кокино': u'코키노',
            u'Кораб': u'코라프',
            u'Кочани': u'코차니',
            u'Кратово': u'크라토보',
            u'Куклица': u'쿠클리차',
            u'Куманово': u'쿠마노보',
            u'Македонија': u'마케도니야',
            u'Маркови Кули': u'마르코비 쿨리',
            u'Нов Дојран': u'노프 도이란',
            u'Охрид': u'오흐리트',
            u'Прилеп': u'프릴레프',
            u'Радовиш': u'라도비시',
            u'Скопје': u'스코피에',
            u'Слатино': u'슬라티노',
            u'Струга': u'스트루가',
            u'Струмица': u'스트루미차',
            u'Тетово': u'테토보',
            u'Шар': u'샤르',
            u'Штип': u'슈티프',
        })

    def test_miscellaneous(self):
        self.assert_examples({
            u'Металург': u'메탈루르크',
        })
