# -*- coding: utf-8 -*-
from tests import HangulizeTestCase
from hangulize.langs.ukr import Ukrainian


class UkrainianTestCase(HangulizeTestCase):

    lang = Ukrainian()

    def test_people(self):
        self.assert_examples({
            u'Олександр Алієв': u'올렉산드르 알리예우',
            u'Степан Бандера': u'스테판 반데라',
            u'Оксана Баюл': u'옥사나 바율',
            u'Катерина Білокур': u'카테리나 빌로쿠르',
            u'Олег Блохін': u'올레흐 블로힌',
            u'Альона Бондаренко': u'알료나 본다렌코',
            u'Катерина Бондаренко': u'카테리나 본다렌코',
            u'Сергій Бубка': u'세르히 부브카',
            u'Володимир Вернадський': u'볼로디미르 베르나즈키',
            u'Володимир Мономах': u'볼로디미르 모노마흐',
            u'Андрій Воронін': u'안드리 보로닌',
            u'Данило Галицький': u'다닐로 할리츠키',
            u'Олександр Довженко': u'올렉산드르 도우젠코',
            u'Михайло Грушевський': u'미하일로 흐루셰우스키',
            u'Віталій Кличко': u'비탈리 클리치코',
            u'Володимир Кличко': u'볼로디미르 클리치코',
            u'Яна Клочкова': u'야나 클로치코바',
            u'Іван Кожедуб': u'이반 코제두브',
            u'Сергій Корольов': u'세르히 코롤료우',
            u'Леонід Кравчук': u'레오니드 크라우추크',
            u'Міла Куніс': u'밀라 쿠니스',
            u'Ольга Куриленко': u'올하 쿠릴렌코',
            u'Леонід Кучма': u'레오니드 쿠치마',
            u'Максиміліан Левчин': u'막시밀리안 레우친',
            u'Микола Лисенко': u'미콜라 리센코',
            u'Валерій Лобановський': u'발레리 로바노우스키',
            u'Левко Лук\'яненко': u'레우코 루키야넨코',
            u'Іван Мазепа': u'이반 마제파',
            u'Андрій Медведєв': u'안드리 메드베데우',
            u'Артем Мілевський': u'아르템 밀레우스키',
            u'Мстислав Володимирович': u'므스티슬라우 볼로디미로비치',
            u'Ярослав Мудрий': u'야로슬라우 무드리',
            u'Пилип Орлик': u'필리프 오를리크',
            u'Вадим Перельман': u'바딤 페렐만',
            u'Симон Петлюра': u'시몬 페틀류라',
            u'Віктор Пінчук': u'빅토르 핀추크',
            u'Сергій Ребров': u'세르히 레브로우',
            u'Климент Редько': u'클리멘트 레디코',
            u'Роман Мстиславич': u'로만 므스티슬라비치',
            u'Григорій Сковорода': u'흐리호리 스코보로다',
            u'Йосип Сліпий': u'요시프 슬리피',
            u'Василь Стус': u'바실 스투스',
            u'Борис Тарасюк': u'보리스 타라슈크',
            u'Олена Теліга': u'올레나 텔리하',
            u'Юлія Тимошенко': u'율리야 티모셴코',
            u'Анатолій Тимощук': u'아나톨리 티모슈크',
            u'Сергій Тігіпко': u'세르히 티힙코',
            u'Леся Українка': u'레샤 우크라인카',
            u'Іван Франко': u'이반 프란코',
            u'Богдан Хмельницький': u'보흐단 흐멜니츠키',
            u'Вячеслав Чорновіл': u'뱌체슬라우 초르노빌',
            u'Андрій Шевченко': u'안드리 셰우첸코',
            u'Тарас Шевченко': u'타라스 셰우첸코',
            u'Андрей Шептицький': u'안드레이 솁티츠키',
            u'Роман Шухевич': u'로만 슈헤비치',
            u'Віктор Ющенко': u'빅토르 유셴코',
            u'Віктор Янукович': u'빅토르 야누코비치',
        })

    def test_places(self):
        self.assert_examples({
            u'Ананьїв': u'아나니우',
            u'Асканія-Нова': u'아스카니야노바',
            u'Біла Церква': u'빌라 체르크바',
            u'Вінниця': u'빈니차',
            u'Горлівка': u'호를리우카',
            u'Дніпродзержинськ': u'드니프로제르진스크',
            u'Дніпропетровськ': u'드니프로페트로우스크',
            u'Донецьк': u'도네츠크',
            u'Євпаторія': u'예우파토리야',
            u'Єнакієве': u'예나키예베',
            u'Житомир': u'지토미르',
            u'Запоріжжя': u'자포리자',
            u'Івано-Франківськ': u'이바노프란키우스크',
            u'Кам\'янець-Подільський': u'카미야네츠포딜스키',
            u'Києво-Печерська лавра': u'키예보페체르스카 라우라',
            u'Київ': u'키이우',
            u'Кіровоград': u'키로보흐라드',
            u'Кременчук': u'크레멘추크',
            u'Кривий ріг': u'크리비 리흐',
            u'Луганськ': u'루한스크',
            u'Луцьк': u'루츠크',
            u'Львів': u'리비우',
            u'Макіївка': u'마키이우카',
            u'Маріуполь': u'마리우폴',
            u'Миколаїв': u'미콜라이우',
            u'Одеса': u'오데사',
            u'Полтава': u'폴타바',
            u'Рівне': u'리우네',
            u'Сєверодонецьк': u'세베로도네츠크',
            u'Слов\'янськ': u'슬로비얀스크',
            u'Суми': u'수미',
            u'Тернопіль': u'테르노필',
            u'Ужгород': u'우주호로드',
            u'Харків': u'하르키우',
            u'Херсон': u'헤르손',
            u'Черкаси': u'체르카시',
            u'Чернівці': u'체르니우치',
            u'Чернігів': u'체르니히우',
        })

    def test_miscellaneous(self):
        self.assert_examples({
            u'бандура': u'반두라',
            u'гетьман': u'헤티만',
            u'Голодомор': u'홀로도모르',
            u'гопак': u'호파크',
            u'кобзар': u'코브자르',
            u'козак': u'코자크',
            u'писанка': u'피산카',
        })
